-- vi:ft=lua
-- configuration file for io

local hw = Io.system_bus()

local bus = Io.Vi.System_bus
{
  AIC = wrap(hw:match("jz4780-aic"));
  CPM = wrap(hw:match("jz4780-cpm"));
  DMA = wrap(hw:match("jz4780-dma"));
  GPIO = wrap(hw:match("jz4780-gpio"));
  I2C = wrap(hw:match("jz4780-i2c"));
  SSI = wrap(hw:match("jz4780-ssi"));
}

Io.add_vbus("common", bus)
